2003-11-11  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: use $(DISABLE_DEPRECATED_CFLAGS).

2003-10-31  Arvind Samptur  <arvind.samptur@wipro.com>

	* Makefile.am: Temporarily disabling the deprecated flags.

Thu Oct 23 13:19:01 2003  Soeren Sandmann  <sandmann@daimi.au.dk>

	* window-menu.c: Make the width of the window menu the minimum of
	3/4 * screen width, approx. 50 characters and the menu's
	natural width.
	
2003-10-14  Vincent Untz  <vincent@vuntz.net>

	* workspace-switcher.c: (workspaces_tree_focused_out) function to
	unselect the row that was selected in the prefs' treeview when the
	treeview is focused out.
	(setup_dialog): connect the above function to the signal.

2003-10-14  Vincent Untz  <vincent@vuntz.net>

	* showdesktop.c: (display_help_dialog): use the help from the user
	guide, which does exist.

2003-10-14  Vincent Untz  <vincent@vuntz.net>

	* window-list.glade: give an useful name to a label which can be
	insensitive.

	* window-list.c: (setup_dialog) get the above label in a variable
	(tasklist_properties_update_content_radio): disabled the "When
	restoring minimized windows" options when the applet only shows the
	windows of the current workspace.
	Fix bug #102949.

2003-10-13  Vincent Untz  <vincent@vuntz.net>

	* workspace-switcher.glade: add shadow around the list in the prefs.
	Fix bug #123778.

2003-10-13  Vincent Untz  <vincent@vuntz.net>

	* window-menu.c: (window_menu_destroy), (window_menu_window_opened),
	(window_menu_popup_menu): remove the "No Windows Open" item from the
	menu when a new window is added while the menu is open and there
	previously was no window open.
	Fix bug #107048.

2003-10-13  Vincent Untz  <vincent@vuntz.net>

	* Makefile.am: forgot to update this after the removal of
	gnome-show-desktop.png

2003-10-13  Vincent Untz  <vincent@vuntz.net>

	* GNOME_Wncklet_Factory.server.in.in: use gnome-fs-desktop.png as icon
	for the Show Desktop applet.

	* showdesktop.c: (applet_destroyed), (show_desktop_applet_fill): we
	now use a GnomeIconTheme.
	(show_desktop_applet_fill): use the (themed) gnome-fs-desktop.png icon.
	Fix bug #105686.

	* gnome-show-desktop.png: removed because we now use an icon from the
	theme.

2003-10-09  Vincent Untz  <vincent@vuntz.net>

	* GNOME_Wncklet_Factory.server.in.in: use the new
	panel-window-menu.png icon for the Window Menu applet.
	Fix bug #108453.
	Use the new panel-window-list.png for the Window List applet.

	* window-menu.c: (window_menu_destroy), (window_menu_applet_fill): we
	now use a GnomeIconTheme.
	(window_menu_about): use (themed) panel-window-menu.png instead of
	gnome-windows.png.

	* window-list.c: (display_about_dialog), (display_properties_dialog):
	use (themed) panel-window-list.png instead of gnome-windows.png.

2003-10-09  Vincent Untz  <vincent@vuntz.net>

	* eel/Makefile.am, eel/eel-ellipsizing-label.[ch],
	eel/eel-gtk-macros.h, eel/eel-pango-extensions.[ch],
	eel/eel-string.[ch], eel/update-from-eel.sh, eel/.cvsignore: added
	these.

	* Makefile.am: added the stuff for eel/.

	* window-menu.c: (window_menu_item_new): function to create an image
	menu item containing an ellipsizing label.
	(window_menu_add_window), (window_menu_popup_menu): use above function.
	Fix bug #119647.

2003-10-07  Padraig O'Briain <padraig.obriain@sun.com>

	* showdesktop.c (show_desktop_applet_fill): Set accessible name for
	Show Desktop toggle button. (bug #123933)

	* window_menu.c (window_menu_applet_fill): Set accessible name and
	accessible description for applet. (bug #123934)

2003-10-03  Vincent Untz  <vincent@vuntz.net>

	* window-list.c: (display_about_dialog) remove 'visible' from the
	description of the applet. Fix bug #101981.

	* window-menu.c: (window_menu_about) fix About window so that it refers
	to the 'Window Menu' and not the 'Window List'. And same fix as above.

Mon Sep 15 15:11:11 2003  George Lebl <jirka@5z.com>

	* window-list.c, workspace-switcher.c: When started with the
	  locked_down flag hide the preferences item

==================== 2.4.0 ====================

==================== 2.3.91 ====================

==================== 2.3.90 ====================

==================== 2.3.7 ====================

2003-08-20 Shakti Sen  <shakti.sen@wipro.com>

	* window-list.glade: fix #120203 by setting
	the setting the spin button to numeric only.

==================== 2.3.6.2 ====================

==================== 2.3.6.1 ====================

==================== 2.3.6 ====================

Tue Jul 29 18:50:00 2003  George Lebl <jirka@5z.com>

	* workspace-switcher.schemas.in: fix #118434 by removing duplicate
	  "how many"

==================== 2.3.4.1 ====================

2003-07-21  Dennis Cranston <dennis_cranston at yahoo com>

	* workspace-switcher.glade, window-list.glade:  HIGify widget padding 
	between the dialog vbox and action area.

==================== 2.3.4 ====================

2003-07-09  Christian Neumair  <chris@gnome-de.org>

	* window-list.schemas.in:
	* workspace-switcher.schemas.in:
	Changed some strings, #117050.

Wed Jul 02 16:58:11 2003  George Lebl <jirka@5z.com>

	* workspace-switcher.c, window-list.c: properly unref gconf client
	  when done with it

==================== 2.3.3.3 ====================

Tue Jul 01 16:52:04 2003  George Lebl <jirka@5z.com>

	* window-list.(c|glade), workspace-switcher.(c|glade):  respect
	  key-writability in the preference dialog boxes.

==================== 2.3.3.2 ====================

2003-06-25 Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* workspace-switcher.glade: Allow only numeric values to 
	spinbutton. Fixes bugzilla bug #115908

==================== 2.3.3.1 ====================

==================== 2.3.3 ====================

2003-05-30  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install the glade file in share/gnome-panel/glade.

2003-05-29  Yanko Kaneti <yaneti@declera.com>

	* Makefile.am: $(wnck_applet_OBJECTS) depends on $(BUILT_SOURCES)

2003-05-15  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* workspace-switcher.c: Destroy the about dialog when destroying 
	the pager.

	* window-list.c: Destroy the about dialog when destroying the tasklist.

2003-05-08  Dennis Cranston <dennis_cranston at yahoo com>

	* workspace-switcher.glade:  Set the expand to true for the 
	workspace name list.
	
2003-05-08  Dennis Cranston <dennis_cranston at yahoo com>

	* window-list.glade: Minor change to widget padding per HIG.

2003-05-08  Dennis Cranston <dennis_cranston at yahoo com>

	* workspace-switcher.glade: Change the shadow type of the
	scrolled window to GTK_SHADOW_NONE.  Add a mnemonic label for 
	the workspace name list.  Place 'show workspace names' under 
	the workspace category.  Place 'number of workspaces' before
	the workspace name list.
	
	* help/C/workspace-switcher/workspace-switcher.xml:  Update 
	documentation accordingly.

2030-04-17  Christian Neumair  <chris@gnome-de.org>

	* Makefile.am: Use BUILT_SOURCES instead of $(OBJECTS) for header
	generation (#110835).

2003-04-16  Mark McLoughlin  <mark@skynet.ie>

	* showdesktop.c: (display_help_dialog):
	* window-list.c: (response_cb), (display_help_dialog):
	* workspace-switcher.c: (response_cb), (display_help_dialog):
	Remove calls to gnome_program_init. Because we're using the
	global help files location I don't think its needed.

2003-04-15  Mark McLoughlin  <mark@skynet.ie>

	* showdesktop.c: (show_desktop_applet_fill): expand to
	occupy the panel fully and remove the border. Allows
	the button to be activated by clicking on the edge of
	the screen.

2003-04-10  Dennis Cranston  <dennis_cranston at yahoo.com>

	* workspace-switcher.glade:  Fix up the default widget,
	and remove an unnecessary vbox.

2003-04-10  Dennis Cranston  <dennis_cranston at yahoo.com>

	* window-list.glade, window-list.c:  HIGify the preference 
	dialog. Set the preference window icon. Also, fix 'c' 
	mnemonic conflict.
	
	* help/C/window-list/window-list.xml:  Update
	documentation accordingly.

2003-04-09  Dennis Cranston  <dennis_cranston at yahoo.com>

	* workspace-switcher.glade, workspace-switcher.c:  HIGify 
	the preference dialog. Set the preference window icon. Also, 
	fix 'c' mnemonic conflict.

	* Makefile.am:  Define GNOME_ICONDIR.
	
	* help/C/workspace-switcher/workspace-switcher.xml:  Update
	documentation accordingly.

2003-03-13  Mark McLoughlin  <mark@skynet.ie>

	Fix bug #98357 - make the workspace switcher follow fitt's
	law by being flush up against the screen edge. Requires
	libwnck HEAD.

	* workspace-switcher.c:
	(pager_update): don't set the paget size request.
	(applet_change_pixel_size): kill the size_changed handler.
	(workspace_switcher_applet_fill): set the EXPAND_MINOR
	flag on the applet, put the tooltip on the pager itself
	and remove the frame from around the pager. WnckPager
	now draws the frame.

2003-03-06  Havoc Pennington  <hp@pobox.com>

	* showdesktop.c (button_toggled_callback): Error dialog if you
	try to use the show desktop button with a window manager that 
	does not support it.

2003-02-26  Mark McLoughlin  <mark@skynet.ie>

	* workspace-switcher.glade: change the max number
	of workspaces to 36 - in sync with metacity. #81855.

2003-02-17  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add support for the GCONF_SCHEMAS_INSTALL
	conditional and the GCONF_SCHEMA_FILE_DIR variable.

2003-01-22  Arvind Samptur <arvind.samptur@wipro.com>
	* workspace-switcher.c: (workspace_name_edited): ignore the
	leading and trailing whitespaces on a workspace rename.
	Fixes #104129

2003-01-22  Dan Mills  <thunder@ximian.com>
	* Makefile.am:  Add wncklet.h to wnck_applet_SOURCES.

2003-01-21  Arvind Samptur <arvind.samptur@wipro.com>
	* wncklet.[ch]: (wncklet_connect_while_alive) : Get rid
	of signal emissions occuring on libwnck data after the 
	applets have been destroyed.
	window-menu.c,showdesktop.c: Use the above function on
	all signals connecting to libwnck data.
	
	* workspace-switcher.c:(destroy_pager): Destroy the properties
	dialog when destroying the pager.

	* window-list.c: (destroy_tasklist): Destroy the propertites
	dialog when destroying the tasklist.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	Move all the window navigation applets into an applet of
	thier own and add the new Window Menu applet.

	* GNOME_ShowDesktopApplet.xml, GNOME_WindowListApplet.xml,
	  GNOME_WorkspaceSwitcherApplet.xml,
	  workspace-switcher.glade, window-list.glade: rename these.

	* GNOME_WindowMenuApplet.xml: add this.

	* GNOME_Wncklet_Factory.server.in.in: add the window list,
	workspace switcher, showdesktop and new window menu applets.
	Rename the window list and workspace switcher but retain
	compatibility for the old iids.

	* Makefile.am, default_icon.png, egg-screen-exec.[ch]
	  egg-screen-help.[ch], egg-screen-url.[ch],
	  update-from-egg.sh: add these.

	* showdesktop.[ch]: copy these over from gen_util.

	* window-list.[ch]: copy over and rename
	(window_list_applet_fill): rename this function, update
	the schemas location and move the setting of flags to the
	start to avoid a race.
	(display_properties_dialog): update the glade filename.

	* window-list.schemas.in, workspace-switcher.schemas.in:
	rename and change the schemas locations.

	* window-menu.[ch]: add new window menu applet. Yes, that's
	what we're calling "the thingy on the right side of the menu
	panel".

	* wncklet.c: add the factory. Again, retain compatibility with
	old iids.

	* workspace-switcher.[ch]: copy over and rename
	(workspace_switcher_applet_fill): rename and update the schemas
	locations.

	(display_properties_dialog): update the glade filename.
	* workspace-switcher.schemas.in: rename and change the schemas
	locations.

2003-01-08  Mark McLoughlin  <mark@skynet.ie>

	* mailcheck.schemas.in: s/Remove/Remote/
	Patch from R.I.P. Deaddog. Fixes #102733.
	Approved by i18n and release teams.

2003-01-06  Mark McLoughlin  <mark@skynet.ie>

	Makes the password dialog not modal so that we don't
	have a locked up panel when getting the password.
	Fixes #102399. Based on patch from Balamurali Viswanathan.

	* mailcheck.c:
	(check_remote_mailbox): factor this out from
	check_mail_file_status().
	(password_response_cb): check the mailbox and
	destroy the dialog once we get the password.
	(get_remote_password): don't make the dialog modal.
	(check_mail_file_status), (fill_mailcheck_applet): upd.

2003-01-06  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (fill_clock_applet): remove the 4 pixel
	border around the clock as suggested by Gediminas.
	Fixes #97409.

2002-12-23  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (display_about_dialog):
	* mailcheck.c: (mailcheck_about): remove translations
	marks from around the copyright notices for the about
	dialogs. The container non-ascii characters and no longer
	need to be translated anyhow. Fixes #101796.

2002-12-20  Dennis Cranston <dennis_cranston@yahoo.com>

	* mailcheck.c: (mailcheck_about) fix previous commit 
	so the build doesn't fail.
	* clock.c: (display_about_dialog): mark for translation.

2002-12-20  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (display_about_dialog):
	* mailcheck.c: (mailcheck_about): fixup the
	references to the FSF. Fixes #101589 and #101591.

2002-12-19  Mark McLoughlin  <mark@skynet.ie>

	* help/*: remove these files.

2002-12-18  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: don't build help subdir. Its
	move to $(toplvel)/help/ now.

2002-12-17  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (update_timeformat): allow date and
	time in culturally specific orders. Fixes #100547.

2002-12-10  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (display_about_dialog):
	* mailcheck.c: (mailcheck_about):
	* pager.c: (display_about_dialog):
	* printer.c: (printer_about):
	* tasklist.c: (display_about_dialog): revert
        copyright changes until we decide on a format.

2002-12-04  Mark McLoughlin  <mark@skynet.ie>

	* mailcheck.c: (mailcheck_execute_shell): no whitespace
	before punctuation marks.

2002-12-02  Mark McLoughlin  <mark@skynet.ie>

	* tasklist.schemas.in: put never, auto and always
	in quotes for clarity. #100049.

2002-11-29  Havoc Pennington  <hp@pobox.com>

	* tasklist.c (destroy_tasklist): free the tasklist struct
	(was leaked before, at least I think so)
	(fill_tasklist_applet): create an icon theme object for the
	tasklist.
	(fill_tasklist_applet): set an icon loader function for the
	tasklist.

2002-11-12  Arvind Samptur <arvind.samputur@wipro.com>
	* remote-helper.c: (fork_new_handler) poll for the
	pid to wrriten on to the pipe before allowing the 
	number of mails to be written on to the pipe.
	Fixes the problem of a SIGPIPE occuring causing the
	panel to crash and sometimes the number of mails
	having a junk value(which would be pid).
	Fixes #98001

2002-11-06  Andrew Sobala  <andrew@sobala.net>

	* clock.schemas.in, mailcheck.schemas.in, tasklist.c,
	tasklist.schemas.in: change some strings to comply with style
	guide

2002-11-03  Havoc Pennington  <hp@pobox.com>

	* pager.c (num_workspaces_value_changed): when changing number of
	workspaces, ask WM to do it, don't set stuff in gconf
	(workspace_name_edited): change workspace names on the X property, 
	don't set stuff in gconf

2002-11-01  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (applet_change_background): this callback
	takes a GdkPixmap *, not a filename.

2002-10-16  Mark McLoughlin  <mark@skynet.ie>

	* egg-screen-help.[ch], egg-screen-url.[ch]: sync
	with libegg.

	* clock.c, mailcheck.c, pager.c, showdesktop.c,
	  tasklist.c: use updated multiscreen help api.

2002-10-15  Padraig O'Briain <padraig.obriain@sun.com>

	* Makefile.am:
	Add CLEANFILES so that make clean deletes $(server_DATA) and
	$(server_DATA).in

2002-10-01  Yanko Kaneti <yaneti@declera.com>

	* clock.schemas.in: reorder elements so that it validates.

2002-10-01  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (update_timeformat): don't use leading 0
	for 12 hour timeformat. Fixes #94268.

2002-09-23  Havoc Pennington  <hp@redhat.com>

	* clock.c (destroy_clock): free the timeformat string

	* showdesktop.c: show desktop applet

	* GNOME_GenUtilApplet_Factory.server.in.in: add ShowDesktopApplet

2002-09-16  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am, multihead-hacks.h: kill
	multihead-hacks.h.

	* clock.c, mailcheck.c, pager.c, tasklist.c:
	Remove HAVE_GTK_MUTLIEHAD conditionals since
	we require gtk+ 2.1.0 now.

2002-09-16  Mark McLoughlin  <mark@skynet.ie>

	* pager.c: (applet_realized):
	* tasklist.c: (applet_realized): require
	libwnck HEAD.

2002-09-12  Mark McLoughlin  <mark@skynet.ie>

	* clock.c:
	(set_tooltip): impl method to create tooltips
	per aplet and set the tip.
	(update_clock), (display_about_dialog): don't
	try and refer to a panel symbol.

	* mailcheck.c: ditto. Fixes #92422.

2002-08-21  Havoc Pennington  <hp@redhat.com>

	* clock.schemas.in: translate the clock format

2002-08-21  Havoc Pennington  <hp@redhat.com>

	* clock.c (applet_change_background): memleak fix from 
	Arjan van de Ven <arjanv@redhat.com>

	* tasklist.c (applet_change_background): ditto

2002-09-11  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (update_timeformat): put the
	date in front of the time. Fixes #80675.

2002-09-05  Irene Ryan <irene.ryan@sun.com>

	* help/C/mailcheck/mailcheck.xml: updated to fix
	bug #91146
	* help/C/mailcheck/mailcheck-C.omf: updated to reflect
	new version number and date of manual
	
2002-05-20  Dennis Smit  <synap@yourbase.nl>

	* clock.schemas.in: Show seconds by default disabled.
	Fixes #88679.

2002-07-20  Dennis Smit  <synap@area101.penguin.nl>

	*  clock.c
	(display_properties_dialog): changed mnemonics for _UNIX
        to UNI_X as a fix for bug #88678

2002-08-12  Mark McLoughlin  <mark@skynet.ie>

	* tasklist.glade: use a table instead of two
	hboxes to make sure the frame match up. #82048.

2002-08-11  Mark McLoughlin  <mark@skynet.ie>

	* mailcheck.schemas.in: s/mailcheck/Inbox Monitor/
	* pager.schemas.in: s/pager/Workspace Switcher/
	* tasklist.schemas.in: s/tasklist/Window List/
	(only in the descriptions of course, #83819.)

2002-08-08  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add egg-screen-exec files to the build.

	* clock.c: (properties_response_cb), (display_help_dialog):
	* mailcheck.c: (phelp_cb), (help_callback):
	* pager.c: (response_cb), (display_help_dialog):
	* tasklist.c: (response_cb), (display_help_dialog):
	use egg_screen_display_desktop().

2002-08-05  Mark McLoughlin  <mark@skynet.ie>

	* GNOME_ClockApplet.xml: move Copy Date/Time to
	the top of the menu and add seperator. #89863.

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* pager.c, tasklist.c: don't use methods from the
	libwnck multiscreen patch if they're not defined.

2002-07-29  Mark McLoughlin  <mark@skynet.ie>

	* tasklist.c: (minimum_size_changed), (maximum_size_changed):
	Handle case where spin buttons have already been destroyed.
	Fixes #89027. Patch from Padraig O'Briain.

2002-07-11  Deepa Chacko Pillai <deepa.chacko@wipro.com>

	* remote-helper.c: Added check for waitpid ()
	returning -1 and errno EINTR. Fixes bug 88005.

2002-07-29  Mark McLoughlin  <mark@skynet.ie>

	* tasklist.c: (fill_tasklist_applet): handle
	gconf errors with default values for min/max
	sizes. Fixes #88422.

2002-07-29  Mark McLoughlin  <mark@skynet.ie>

	* mailcheck.c: (mailcheck_get_animation_menu):
	unconditionally get the pixmap directory, fixes
	#88125.

2002-07-15  Mark McLoughlin  <mark@skynet.ie>

	* mailcheck.c:
	(mailcheck_execute_shell): add mailcheck arg and set
	screen upon which the dialog should realise.
	(after_mail_check), (mail_check_timeout),
	(exec_clicked_cmd): update for above change.

2002-05-21  Jorn Baayen  <jorn@nl.linux.org>

	* pager.glade: use GTK_SHADOW_IN for consistency

2002-05-20  Jorn Baayen  <jorn@nl.linux.org>

	* tasklist.glade: consistent spacing between the right two frames

2002-07-10  Mark McLoughlin  <mark@skynet.ie>

	* mailcheck.c:
	(mailcheck_execute_shell): impl using gspawn.
	(after_mail_check), (mail_check_timeout),
	(exec_clicked_cmd): use it here.
	(applet_load_prefs): "mail_file" is a string, not
	an int.

2002-07-02  Arvind Samptur   <arvind.samptur@wipro.com>

	* pager.c : (close_dialog) hack to get the
	workspace name changes reflected when the user
	closes the dialog without a button-press on the
	list. Fixes #84161.

2002-07-05 Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

    	* mailcheck.c : Add atk descriptions. Fix bug#84099

2002-07-05  Joerg Wendland <joergland@debian.org>

	* mailcheck.c: (applet_load_prefs): Make sure we load up
	up the saved preferences. Fixes #84016.
	* mailcheck.schemas.in: Add missing schema.

2002-07-02  Christian Rose  <menthos@menthos.com>

	* clock.schemas.in: #78532 - s/GMT/UTC/ and
	s/Greenwich Mean Time/Universal Coordinated Time/.

2002-07-01  Mark McLoughlin  <mark@skynet.ie>

	* tasklist.glade: #85344 - s/Tasklist/Window List/

2002-06-25  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add multihead-hacks.h.

	* multihead-hacks.h: some hacks to reduce the number
	of HAVE_GTK_MULTIHEADs needed.

	* clock.c, mailcheck.c: make sure all dialogs realize on 
	the right screen.

	* pager.c: (applet_get_screen): impl helper method.
	(applet_realized): set the screen that the pager controls
	when the applet is realized.
	(response_cb), (fill_pager_applet), (display_help_dialog),
	(display_about_dialog), (display_properties_dialog): make
	sure all dialogs realize on the right screen.

	* tasklist.c: (applet_get_screen): impl helper method.
	(applet_realized): set the screen that the tasklist
	controls when the applet is realized.
	(response_cb), (fill_tasklist_applet), (display_help_dialog),
	(display_about_dialog), (display_properties_dialog): make
	sure all dialogs realize on the right screen.

2002-06-18  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: use $(prefix)/$(DATADIRNAME)/locale instead
	of $datadir/locale for locale directory location. Reported
	by Hidetoshit Tajima in #83623.

2002-06-07  Mark McLoughlin <mark@skynet.ie>

	* clock.c: (setup_gconf): store the notifies
	ids.
	(destroy_clock): remove the notifies when the
	applet is destroyed. Fixes crash when removing
	the applet.

2002-06-02  Havoc Pennington  <hp@pobox.com>

	* pager.glade: revert one of Rajkumar's changes to strings
	in the glade file (mnemonic for "show only the current workspace")
	to save i18n effort

2002-05-21  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* pager.c: Added tooltip for the applet.
	* pager.glade: Accessible description, tooltip and atk 
	relation is set for the components in preferences dialog.
	Default button to be activated on pressing enter key
	
2002-06-01  Kjartan Maraas  <kmaraas@gnome.org>

	* pager.schemas.in: Fix a typo.
	* tasklist.schemas.in: Same here.
	
2002-05-28  Satyajit Kanungo  <satyajit.kanungo@wipro.com>

	* clock.c: help callback modified .
	* pager.c: help callback added for the help button in preference
	  dialog box. help Callback modified and Error handling put.	

	* mailcheck.c : help button added to the preference dialog box 
	  and help callback is linked to the button.
	* tasklist.c: help callback added for the help button in the preference 
	  dialog box.
	* tasklist.glde, pager.glade - response id added for help buttons.
	* Makefile.am : DADADIR, LIBDIR,SYSCONFDIR,and PREFIX passed to the program.
	  to be used in program_init() 

2002-05-24  Akira TAGOH  <tagoh@gnome.gr.jp>

	* clock.c (update_timeformat): need to convert UTF-8 to the locale
	encoding (Bug#80539).
	(update_clock): ditto.
	(copy_time): ditto.
	(copy_date): ditto.

2002-05-21  Eric Baudais  <baudais@okstate.edu>

	* help/C/mailcheck/mailcheck.xml: Updated the help to the new UI.
	* help/C/mailcheck/figures/mailcheck-properties-mailcheck.png: Updated 
	the screenshot.
	* help/C/mailcheck/figures/mailcheck-properties-mailbox.png: Updated 
	the screenshot.

2002-05-21  Eric Baudais  <baudais@okstate.edu>
	
	* help/C/mailcheck/mailcheck-C.omf: Updated the OMF file to the 
	Scrollkeeper DTD.

2002-05-21  Thomas Vander Stichele <thomas@apestaart.org>

        * tasklist.c: 
          - fixed minimum_size and maximum_size for vertical panels
          - added code to do the logical thing when a panel's orientation 
            gets changed
          - use _size everywhere

2002-05-20  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: generate .schemas from .schemas.in.

	* clock.schemas.in:
	* mailcheck.schemas.in:
	* pager.schemas.in:
	* tasklist.schemas.in: rename from *.schemas.

2002-05-16  Havoc Pennington  <hp@pobox.com>

	* pager.c (update_workspaces_model): remove call to
	wnck_workspace_get which appears to have gone away.

2002-05-14  Anders Carlsson  <andersca@gnu.org>

	* pager.c: (fill_pager_applet):
	* tasklist.c: (fill_tasklist_applet):
	Use wnck_screen_get_default () instead of wnck_screen_get (0).
	
2002-05-13  Deepa Natarajan <deepa.natarajan@wipro.com>

	* GNOME_ClockApplet.xml, GNOME_MailCheckApplet.xml
	GNOME_PagerApplet.xml, GNOME_TasklistApplet.xml:
	added mnemonics for the popup menu.

2002-05-13  Dennis Cranston <dennis_cranston@yahoo.com>
	* mailcheck.c, clock.c:  "About..." dialog fixes -- change
	the names to match that in the "Add to panel" menu.  Also,
	add an icon for the Inbox Monitor.

	* pager.c:  "About..." dialog fixes -- correct
	grammar errors in the description field.(bug #80071)

2002-05-11  Thomas Vander Stichele <thomas@apestaart.org>

        * tasklist.c: implemented minimum_size and 
	  maximum_size preferences
          using GConf keys and updates to libwnck
        * tasklist.glade: added configuration spinbuttons
          for min/max size
        * tasklist.schema: added GConf keys

2002-05-06  Martin Hostettler <textshell@neutronstar.dyndns.org>

	* pager.glade, pager.schema, pager.glade: Made rows in config
	dialog change to cols in vertical orientation

2002-04-25  Arvind Samptur <arvind.samptur@wipro.com>
	* tasklist.c: (display_about_dialog) typo error in the 
	message.(#79707)

2002-05-09  Deepa Natarajan <deepa.natarajan@wipro.com>

	* mailcheck.c: set atk name, description and relation. 
	set Close as the default button. set mnemonics for label
	and check boxes.
 
2002-05-01  Anders Carlsson  <andersca@gnu.org>

	* pager.glade: Remove rules hint from tree view. 
	Fixes #80469.

2002-04-29  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* mailcheck.schemas: Fix a key to use underscore.

2002-04-20  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* mailcheck.c: (got_remote_answer), (set_mailbox_selection),
	(fill_mailcheck_applet):
	Real fix for #78182: First disable automatic updating,
	then show the dialog.
	Add some tooltips if the status is not updated.

2002-04-17  Arvind Samptur  <arvind.samptur@wipro.com>

	* mailcheck.c: (got_remote_answer): removed model message 
	dialog. (#78182)
	
2002-04-17  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am, handlebin.[ch]: kill FooHandle.

	* tasklist.c: (applet_change_orient), (applet_size_request),
	(fill_tasklist_applet): kill handle and set HAS_HANDLE
	flag on the applet.

2002-04-15  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (display_properties_dialog): use CET instead
	of GMT. (#78532)

	* tasklist.c: (fill_tasklist_applet): fix initial orientation
	of handle (#78544)

2002-04-15  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (add_atk_relation), (display_properties_dialog):
	applied AtkRelation patch from pasupathi.duraisamy@wipro.com.
	Fixes #74748.

2002-04-13  Alexander Larsson  <alla@lysator.liu.se>

	* tasklist.c:
	Set size hints when size_allocating frame.

2002-04-12  Mark McLoughlin  <mark@skynet.ie>

	* pager.c: (display_properties_dialog): fix warning.

2002-04-10  Havoc Pennington  <hp@pobox.com>

        * handlebin.h, handlebin.c: cheesy container based on GtkFrame
	that puts a handle grip next to its child
	
	* tasklist.c: put it in the above container, so it has a handle
	grip

2002-04-11  Mikael Hallendal  <micke@codefactory.se>

	* help/C/mailcheck/mailcheck.xml: fixed typo causing the document
	  to not be rendered.

2002-04-06  Gediminas Paulauskas <menesis@delfi.lt>

	* clock.c: Add "Show seconds" option (#75108), implement seconds for
	normal time and show 1/100s of internet time only when option is
	enabled, fix updating intervals.
	Make clock updating more efficient.
	Move Internet & UNIX time inside Clock type radio group to make
	prefs dialog more easy to use.
	Fix spacing in prefs and applet
	(this resolves last remaining bits of #72201)

	* clock.schemas: add show_seconds option

2002-04-02  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (fill_clock_applet): add padding around clock (76948)

2002-03-29  Mark McLoughlin  <mark@skynet.ie>

	* GNOME_ClockApplet.xml, GNOME_MailCheckApplet.xml:
	  GNOME_PagerApplet.xml, GNOME_TasklistApplet.xml,
	  clock.c, mailcheck.c, pager.c, pager.glade,
	  tasklist.c, tasklist.glade: use 'Preferences' instead
	of 'Properties' for applets (76823).

2002-03-28  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install mailcheck.soundlist. Patch from
	Benedikt Roth.

2002-03-28  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* mailcheck.c: (get_remote_password), (got_remote_answer),
	(check_mail_file_status), (after_mail_check), (mail_check_timeout),
	(exec_clicked_cmd), (create_mail_widgets),
	(make_check_widgets_sensitive), (reset_on_clicked_toggled),
	(auto_update_toggled), (mailcheck_properties_page),
	(applet_load_prefs):
	Re-enabled error dialog, ported to gtkdialog and fixed wording (#59271).
	Automatically focus the password entry.
	(Would be nice if enter would be the same as clicking the OK button...)
	Added ability to turn off automatic mail-checking
	and used it when an error occures.
	Removed double call to after_mail_checked()
	which lead to newmail_cmd beeing executed too often (#52924).
	Added preference option to reset the mail status and 
	thus stop the animation when clicking on the applet (#28987).

	* mailcheck.schemas:  Added new reset_on_clicked and auto_update keys
	* help/C/mailcheck/mailcheck.xml: Added some short notes on new
	preference options, probably the screenshot should be updated, too.

2002-03-27  Mark McLoughlin  <mark@skynet.ie>

	* pager.c: (display_properties_dialog):
	* tasklist.c: (display_properties_dialog): weak ref so
	we don't core if the window gets destroyed (74145)

2002-03-25  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

        * clock.c: Fix to provide default action for enter key in
        clock's preference dialog.
 
2002-03-22  Mark McLoughlin  <mark@skynet.ie>

	* clock.schemas, mailcheck.schemas, pager.schemas,
	  tasklist.schemas: use underscore instead of hyphen
	for all gconf keys ... this is te gconf convention.

	* clock.c,mailcheck.c, pager.c, tasklist.c: upd for 
	gconf key changes.

2002-03-09  Johan Dahlin  <jdahlin@telia.com>

	reviewed by Mark McLoughlin <mark@skynet.ie>

	* tasklist.c: Get rid of inline xml ui
	(fill_tasklist_applet): Call panel_applet_setup_menu_from_file
	instead of using inline xml so the menu items is translated
	correctly.

	* Makefile.am (ui_DATA): Add GNOME_TasklistApplet.xml

	* GNOME_TasklistApplet.xml: New file

2002-03-19  Mark McLoughlin  <mark@skynet.ie>

	* tasklist.c: (display_help_dialog): update for new docs names
	(patch from John Fleck)

2002-03-16  Gediminas Paulauskas <menesis@delfi.lt>

	* clock.c:
	Set accessible description for clock, add accelerators for
	property labels (#74748, patch from pasupathi.duraisamy@wipro.com)
	Fixed clock to update at 0 seconds (#71039)
	Removed "Show date in tooltip" option, show it always (#73928).
	Determine if to show 12 or 24 hour clock from locale, not from
	translation (#57153).
	Applet is now made only of a label (it was packed into frame,
	alignment, and box).
	Add Dan Mueth as documenter, leave only George and me as authors.

2002-03-14  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* mailcheck.c: (get_remote_password), (mailcheck_load_animation),
	(animation_selected), (applet_load_prefs):
	Hide the password in the passwort dialog.
	Correctly load and save the preferences for animation and remote user.
	Correctly display the animation if there is mail.

	* mailcheck.schemas: Fix to correctly load/save preferences.
	* tasklist.schemas: Fix typo.

2002-03-12  Mark McLoughlin  <mark@skynet.ie>

	* pager.c: (display_help_dialog): update for new docs
	names (patch from John Fleck).

2002-03-10  Benedikt Roth  <Benedikt.Roth@gmx.net>

	reviewed by Mark McLoughlin <mark@skynet.ie>

	* clock.c: (display_about_dialog):
	* pager.c: (display_about_dialog):
	* tasklist.c: (display_about_dialog):
	Display translator credits and the applets logo.

	* mailcheck.c: (after_mail_check), (mailcheck_about):
	Display translator credits and the applets logo.
	Always show the current status of mails in a tooltip.

2002-03-10 John Fleck <jfleck@inkstain.net>

	added:
	* help/C/workspace-switcher/Makefile.am, workspace-switcher-C.omf,
	legal.xml, workspace-switcher.xml, figures/workspacelist_applet.png
	* help/C/window-list/Makefile.am, legal.xml, window-list.xml,
	window-list-C.omf, figures/window_list_applet.png, window_list_group.png
	changed:
	help/Makefile.am

2002-03-10  Havoc Pennington  <hp@pobox.com>

	* pager.c: init num_rows to 1 not 2, #71689

	* pager.schemas: default num_rows to 1 not 2

2002-03-10  Havoc Pennington  <hp@pobox.com>

	* pager.c (fill_pager_applet): print out gconf errors rather than 
	silently dumping them leaving people wondering what happened.

	* pager.glade: make max rows on spin button match max in the code.

	* pager.c (num_rows_changed): if someone sets 0 or negative pager
	rows, force the value back to 1. Also set sane maximum value.
	#70406

2002-03-10  Havoc Pennington  <hp@pobox.com>

	* pager.c (setup_dialog): someone did not mean "connect_swapped"
	even though they typed it. ;-) #71395

2002-03-08  Gediminas Paulauskas <menesis@delfi.lt>

	* tasklist.glade, pager.glade: use Close button instead of Done

2002-03-08  Gediminas Paulauskas <menesis@delfi.lt>

	* clock.c: remove tooltip if "Show date in tooltip" option is unset
	(fixes #73547)

2002-03-05  Seth Nickell  <snickell@stanford.edu>

	* GNOME_GenUtilApplet_Factory.server.in.in:

	Put in "Internet" category. (cleared with translators)

2002-03-04  Mark McLoughlin  <mark@skynet.ie>

	* main.c: (genutil_factory): kill debug.

2002-03-03  Gediminas Paulauskas <menesis@delfi.lt>

	Applied patch by Shivram U <shivaram.upadhyayula@wipro.com>
	to fix #72167

	* tasklist.c (destroy_tasklist) : remove the gconf client listeners
	when the tasklist widget is destroyed.
	* pager.c (destroy_pager) : added the same fix when the pager widget
	is destroyed
 
2002-03-03  Gediminas Paulauskas <menesis@delfi.lt>

	* clock.c: hour_format is of type int, was bool, so now it is
	remembered. Ensure we have 12/24 even when there was no error
	getting from gconf. Should fix #73126.

2002-02-25  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: define deprecated flags here.

	* clock.c: kill them from here.

	* mailcheck.c: remove deprecated crap.

2002-02-25  Anders Carlsson  <andersca@gnu.org>

	* clock.c (fill_clock_applet): Fix build.

2002-02-25  Gediminas Paulauskas <menesis@delfi.lt>

	* clock.c: don't use deprecated things, #define *_DISABLE_DEPRECATED

2002-02-23  Gediminas Paulauskas <menesis@delfi.lt>

	Properties now work.
	
	* clock.c: move preferences to gconf, made properties dialog
	instant-apply.
	* clock.schemas: new file for clock properties.
	* Makefile.am: install clock.schemas

2002-02-23  Gediminas Paulauskas <menesis@delfi.lt>

	* clock.c: make tooltip work. Convert everything we get from strftime
	to UTF-8, so copy date works right.
	* tasklist.c: remove duplicate setup_gconf call

2002-02-23  Kjartan Maraas  <kmaraas@gnome.org>

	* tasklist.glade: Don't translate the widget label.
	* pager.glade: Same here.
		
Fri Feb 22 18:50:04 2002  George Lebl <jirka@5z.com>

	* mailcheck.c: compile warning fix

	* pager.c: when the setup window is closed by the WM, only hide it,
	  should solve some crashes

2002-02-22  Kjartan Maraas   <kmaraas@gnome.org>

	* tasklist.glade: s/workspaces/workspace in a string.
	
2002-02-22  Mark McLoughlin  <mark@skynet.ie>

	* tasklist.c: (display_all_workspaces_changed),
	(get_grouping_type), (group_windows_changed),
	(move_unminimized_windows_changed), (fill_tasklist_applet):
	some sanity check on gconf notify handlers to prevent core
	dumps when removing the applet.

2002-02-21  Kjartan Maraas  <kmaraas@gnome.org>

	* GNOME_GenUtilApplet_Factory.server.in: Mark category names
	for translation.
	
2002-02-19  Kevin Vandersloot <kfv101@psu.edu>

        * mailcheck.c: Port the prefs dialog to GtkDialog and make
        it instant apply

        * Makefile.am: remove the -I{includedir}

2002-02-17  Alexander Larsson  <alla@lysator.liu.se>

	* tasklist.c:
	(tasklist_update): 
	Call wnck_tasklist_set_switch_workspace_on_unminimize().
	
2002-02-17  Alexander Larsson  <alla@lysator.liu.se>

	* tasklist.glade:
	* tasklist.scemas:
	Now has never, always or auto window grouping.

2002-02-17  Kjartan Maraas  <kmaraas@gnome.org>

	* printer.c: Remove deprecated calls to functions
	gtk_widget_push|pop_visual().
	
2002-02-16  Kjartan Maraas  <kmaraas@gnome.org>

	* GNOME_ClockApplet.xml: Move the xml menu structure out into a file.
	* GNOME_MailCheckApplet.xml: Same.
	* GNOME_PagerApplet.xml: Same.
	* clock.c: Hook it up.
	* mailcheck.c: Same.
	* pager.c: Same.
	* Makefile.am: Here too.
	
2002-02-15  Seth Nickell  <snickell@stanford.edu>

	* GNOME_GenUtilApplet_Factory.server.in.in:

	Move the clock into the new accessories category.

2002-02-14  Seth Nickell  <snickell@stanford.edu>

	* GNOME_GenUtilApplet_Factory.server.in.in:

	Add better descriptions.
	
	* pager.c: (display_about_dialog):
	* pager.glade:

	Use "Workspace Switcher", not "Workspace List",
	and remove unnecessary verbosity.

2002-02-14  Kjartan Maraas  <kmaraas@gnome.org>

	* pager.c: #include <config.h>
	
2002-02-14  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: build applet with -avoid-version -module.

2002-02-14  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (display_help_dialog):
	* mailcheck.c: (help_callback):
	* pager.c: (display_help_dialog):
	* tasklist.c: (display_help_dialog): hook up gnome_help
	for all of these.

2002-02-13  Mark McLoughlin  <mark@skynet.ie>

	* pager.c, pager.glade, tasklist.c, tasklist.glade: Finish of
	the string changes.

	"Pager" -> "Workspace List"
	"Tasklist" -> "Window List"

2002-02-13  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: define GNOME_ICONDIR here.

2002-02-12  Kjartan Maraas  <kmaraas@gnome.org>

	* GNOME_GenUtilApplet_Factory.server.in.in: Mark strings for l10n.
	
2002-02-11  Kjartan Maraas  <kmaraas@gnome.org>

	* tasklist.c: #include <config.h>
	
2002-02-09  Mark McLoughlin  <mark@skynet.ie>

	* tasklist.c: (fill_tasklist_applet): update for
	panel_applet_set_expand_flags change.

2002-02-09  Mark McLoughlin  <mark@skynet.ie>

	* GNOME_GenUtilApplet_Factory.server.in.in: move to Vertigo namespace.

	* main.c: update for factory macro change.

Wed Feb 06 10:01:46 2002  George Lebl <jirka@5z.com>

	* clock.c, mailcheck.c, pager.c, tasklist.c: Get initial values
	  for size and orient rather then just using defaults.  Background
	  still needs sorting out.

2002-02-02  Seth Nickell  <snickell@stanford.edu>

	* GNOME_GenUtilApplet_Factory.server.in.in:

	More funky renaming.

2002-01-31  Mark McLoughlin  <mark@skynet.ie>

	* clock_applet.desktop:
	* mailcheck_applet.desktop:
	* printer.desktop: remove, not needed anymore.

2002-01-30  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: update for AM_GCONF_SOURCE_2.

2002-01-28  Glynn Foster  <glynn.foster@sun.com>

	* clock.c, remote-helper.c, tasklist.c: Remove some 
	unused variables

2002-01-19  Seth Nickell  <snickell@stanford.edu>

	* GNOME_GenUtilApplet_Factory.server.in.in:

	Panel apparently doesn't like things to not
	have a Category and refuses to add them (though
	it shows them in the tree heirarchy OK...go figure).
	Put in utilities until we sort everything.

2002-01-19  Seth Nickell  <snickell@stanford.edu>

	* GNOME_GenUtilApplet_Factory.server.in.in:

	Rename some applets. Notably "Tasklist" and "Pager"
	to "Window List" and "Workspace List", respectively.
	Nils suggests we might try "Window Bar".

2002-01-19  Seth Nickell  <snickell@stanford.edu>

	* GNOME_GenUtilApplet_Factory.server.in.in:

	Call the clock applet "Clock". Don't put it in a category...
	At least not a "Clocks" category, that's just asking for more
	crack-rock clocks to be written :-)

2002-01-16  Richard Hult  <rhult@codefactory.se>

	* clock.c (create_computer_clock_widget): Make the time/date be
	centered.

2002-01-13  Alexander Larsson  <alla@lysator.liu.se>

	* Makefile.am:
	Add TASKLIST_GLADEDIR, tasklist.schemas and tasklist.glade

	* tastklist.glade, tasklist.schemas:
	New files.

	* pager.c:
	Set up gconf before reading values to avoid tiny race.
	Handle workspaces being renamed.

	* tasklist.c:
	Add properties dialog.

2002-01-13  Alexander Larsson  <alla@lysator.liu.se>

	* pager.c (num_workspaces_value_changed):
	Change gconf key to number_of_workspaces.

2002-01-13  Alexander Larsson  <alla@lysator.liu.se>

	* pager.glade:
	Hook up the workspaces part of the properties dialog.
	This needs some loving in gnome-settings-daemon to work.

2002-01-12  Alexander Larsson  <alla@lysator.liu.se>

	* pager.c:
	Hook up more preferences.	

	* pager.glade:
	Set id of help and done button.

2002-01-12  Alexander Larsson  <alla@lysator.liu.se>

	* Makefile.am:
	Add gladefile and schemas file for pager.

	* pager.c:
	First cut at the properties dialog.

	* pager.glade:
	* pager.schemas:
	New files.

Fri,  4 Jan 2002 22:28:51 -0500  Frank Belew <frb@ximian.com>

        * Makefile.am: remove -I$(includedir), bad things happen when
          prefix is the same as gnome1 and that gets added so early on the
          list

2002-01-02  Kevin Vandersloot <kfv101@psu.edu>

	* mailcheck.c: initial port to new api.

	* GNOME_GenUtil....server.in.in:
	* main.c:
	Add mailcheck applet to these

2001-12-17  Mark McLoughlin  <mark@skynet.ie>

	* clock.c: (fill_clock_applet):
	* clock.h:
	* main.c: (genutil_factory):
	* pager.c: (fill_pager_applet):
	* pager.h:
	* tasklist.c: (fill_tasklist_applet):
	* tasklist.h:
	update for panel-applet api changes.

2001-12-17  Mark McLoughlin  <mark@skynet.ie>

	* ChangeLog: copied from .. preserving history.

2001-12-14  Alex Larsson  <alexl@redhat.com>

	* gen_util/tasklist.c (applet_change_background):
	Handle background changes. This doesn't change the color of the
	buttons right now, since we would need the whole style for that.
	But it does handle the part of the tasklist that is empty when
	all the buttons fit on the tasklist.

2001-12-14  Alex Larsson  <alexl@redhat.com>

	* gen_util/clock.c:
	Handle background color changes.

2001-12-14  Mark McLoughlin  <mark@skynet.ie>

	* gen_util/clock.c: update for panel-applet
          GNOME_Vertigo namespace changes.

2001-12-08  Richard Hult  <rhult@codefactory.se>

	* gen_util/clock.c (computer_clock_update_func): Convert time/date
	string to utf-8 before setting the label text.

2001-12-04  Alex Larsson  <alexl@redhat.com>

	* gen_util/GNOME_GenUtilApplet_Factory.server.in.in:
	* gen_util/tasklist.[ch]:
	* applets/gen_util/Makefile.am:
	New tasklist implementation using libwnck.

	* applets/gen_util/pager.c:
	Fixed copyright

2001-11-30  Mark McLoughlin  <mark@skynet.ie>

	* gen_util/clock.c: (make_clock_applet): update for
	applet api changes.

	* gen_util/pager.c: (make_pager_applet): ditto.

2001-11-27  Mark McLoughlin  <mark@skynet.ie>

	* gen_util/Makefile.am: build against ../../libpanel-applet.

2001-11-26  Mark McLoughlin  <mark@skynet.ie>

	* gen_util/Makefile.am: add
	  GNOME_GenUtilApplet_Factory.server.in.in to EXTRA_DIST.

2001-11-23  Mark McLoughlin  <mark@skynet.ie>

	* gen_util/GNOME_GenUtilApplet_Factory.server.in.in: add
	"panel:icon" and "panel:category" attributes.

2001-11-23  Alexander Larsson  <alla@lysator.liu.se>

	* gen_util/Makefile.am:
	* gen_util/clock.[ch]: 
	* gen_util/main.c:
	Convert to new applet API and gnome 2.

	* gen_util/GNOME_GenUtilApplet_Factory.server.in.in:
	New oaf file for the applets.

2002-04-25  Arvind Samptur <arvind.samptur@wipro.com>
	* tasklist.c: (display_about_dialog) typo error in the 
	message.(#79707)

